# animated_clipper

Clip your widgets with Animated Clippers.

Reveal widgets with `AnimatedClipReveal`.

Animate between two widgets with `AnimatedCrossClip`.

Interactively switch between two widgets with `ClipSwitch`.

Use `ClipPathTransition` if you want to use an `AnimationController`.

A collection of `PathBuilders` are bundled for rendering (see below)

### Example

The example project demonstrates the main widgets

![demo](gifs/example.gif)

### Live Demo

The BEAST app uses `animated_clipper` for its "todo" screen

![demo](gifs/beast.gif)

### PathBuilders

There are a number of `PathBuilder` classes inclded. Or you can roll your own.

Demo | PathBuilder
------------ | -------------
![PathBuilders.slideUp](gifs/slideUp.gif) | PathBuilders.slideUp
![PathBuilders.slideDown](gifs/slideDown.gif) | PathBuilders.slideDown
![PathBuilders.slideLeft](gifs/slideLeft.gif) | PathBuilders.slideLeft
![PathBuilders.slideRight](gifs/slideRight.gif) | PathBuilders.slideRight
![PathBuilders.splitVerticalIn](gifs/splitVerticalIn.gif) | PathBuilders.splitVerticalIn
![PathBuilders.splitVerticalOut](gifs/splitVerticalOut.gif) | PathBuilders.splitVerticalOut
![PathBuilders.splitHorizontalIn](gifs/splitHorizontalIn.gif) | PathBuilders.splitHorizontalIn
![PathBuilders.splitHorizontalOut](gifs/splitHorizontalOut.gif) | PathBuilders.splitHorizontalOut
![PathBuilders.circleIn](gifs/circleIn.gif) | PathBuilders.circleIn
![PathBuilders.circleOut](gifs/circleOut.gif) | PathBuilders.circleOut
